6.0.0-git
2019-04-21

[#8909] Pass stream to PEAR Mail
Summary Pass stream to PEAR Mail
Queue Horde Framework Packages
Queue Version Git master
Type Enhancement
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester slusarz (at) horde (dot) org
Created 2010-03-12 (3327 days ago)
Due
Updated 2010-05-12 (3266 days ago)
Assigned
Resolved 2010-05-12 (3266 days ago)
Milestone 4
Patch No

History
2010-05-12 05:52:43 Michael Slusarz Comment #3
State ⇒ Resolved
Reply to this comment
Sick of no response to the stream patch.  And analyzing as a whole - 
there are several other glaring limitations to the current PEAR Mail 
package that take a lot of excessive massaging to work around.  Thus I 
have made the decision to fork PEAR Mail and fix these things properly.

Thus, PEAR Mail is no longer needed for Horde 4 - Horde_Mail will be 
used instead.
2010-05-12 05:50:46 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Use new Horde_Mail:: package
Resolves Request #8909 (pass stream to send())

  delete mode 100644 framework/Mime/lib/Horde/Mime/Mail/mail.php
  delete mode 100644 framework/Mime/lib/Horde/Mime/Mail/sendmail.php
  delete mode 100644 framework/Mime/lib/Horde/Mime/Mail/smtp.php
  delete mode 100644 framework/Mime/lib/Horde/Mime/Mail/smtpmx.php
  create mode 100644 imp/lib/Injector/Binder/Mail.php
http://git.horde.org/diff.php/agora/messages/abuse.php?rt=horde-git&r1=84a96bec34b90beb720b6a4eb90423a187add87a&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/ansel/img/ecard.php?rt=horde-git&r1=8e95f270ab419ee274e2fdeaf3844df84c34120e&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/ansel/lib/Report/mail.php?rt=horde-git&r1=4e8e3e4474fc5ea4363ff940e0ee96f84767b343&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/babel/lib/Babel.php?rt=horde-git&r1=9f529bff639f1cafde6bae97fa3d6c7ee0112bce&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/folks/lib/Folks.php?rt=horde-git&r1=4e8e3e4474fc5ea4363ff940e0ee96f84767b343&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/folks/lib/Notification/mail.php?rt=horde-git&r1=4e8e3e4474fc5ea4363ff940e0ee96f84767b343&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Alarm/lib/Horde/Alarm/Handler/Mail.php?rt=horde-git&r1=7849bb120a42470f694ad1f7ccd9662ff0357199&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Alarm/package.xml?rt=horde-git&r1=75e7b21e9459391e5785427ca2aa24b63ae2e35c&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Alarm/test/Horde/Alarm/HandlerTest.php?rt=horde-git&r1=7849bb120a42470f694ad1f7ccd9662ff0357199&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Auth/lib/Horde/Auth/Signup.php?rt=horde-git&r1=4e8e3e4474fc5ea4363ff940e0ee96f84767b343&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Core/lib/Horde/Core/Binder/Alarm.php?rt=horde-git&r1=3e4a9d6208d5cdec779b80517db1a52d9829a933&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Core/lib/Horde/Core/Binder/Mail.php?rt=horde-git&r1=55871f7e54348947a0f46a4f694ea1bba7a2b2e6&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Core/lib/Horde/Registry.php?rt=horde-git&r1=41150f74930beb819f3569a3985c8154c5f156ed&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Data/Data/tsv.php?rt=horde-git&r1=6c80a3d3b53d7dc002d400fbb2dc33c20ca397d0&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Data/package.xml?rt=horde-git&r1=9cb1db2414871d3c98a0ebed0d11288c84cb384f&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Form/Form/Type.php?rt=horde-git&r1=200cb7952221a852a0de95ad8f0ce92a798525de&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Address.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Mail.php?rt=horde-git&r1=c151184104110a5f42fea1ce86e6d59595c389a3&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Mail/mail.php?rt=horde-git&r1=804f78bcddd4b6253bedfe861a3794a13a726406&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Mail/sendmail.php?rt=horde-git&r1=804f78bcddd4b6253bedfe861a3794a13a726406&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Mail/smtp.php?rt=horde-git&r1=804f78bcddd4b6253bedfe861a3794a13a726406&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Mail/smtpmx.php?rt=horde-git&r1=804f78bcddd4b6253bedfe861a3794a13a726406&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Part.php?rt=horde-git&r1=3aee6add82e1e4ea8cb205dc953afdc4cffd5770&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Mime/package.xml?rt=horde-git&r1=804f78bcddd4b6253bedfe861a3794a13a726406&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Model/lib/Horde/Form.php?rt=horde-git&r1=bd49579543283c08cfc8b91c664214e8824eaa35&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Model/lib/Horde/Form/Type/Email.php?rt=horde-git&r1=cf69323e4a6f05a10a7c2c33bf20301d59c96f85&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Net_SMS/SMS/generic_smtp.php?rt=horde-git&r1=a9e8ae51befc5a9fc97366e1f623e3a822060afa&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Net_SMS/SMS/vodafoneitaly_smtp.php?rt=horde-git&r1=4d249a3af4faea6509fe8da806264dd5d87ab4e5&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Net_SMS/package.xml?rt=horde-git&r1=9cb1db2414871d3c98a0ebed0d11288c84cb384f&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/Prefs/lib/Horde/Prefs/Identity.php?rt=horde-git&r1=5b0969a7d3fad81ae04676dc8731a70205943ec5&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/iCalendar/iCalendar/vcard.php?rt=horde-git&r1=121652b06b516af77a95fa3b18f62975c20b17e1&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/framework/iCalendar/package.xml?rt=horde-git&r1=b74c3d195cf04f29facc288501504d9c06c091aa&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/horde/config/hooks.php.dist?rt=horde-git&r1=6e6599dfe74533b868cb0aaa80eeb6a2d482ce92&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/horde/docs/CHANGES?rt=horde-git&r1=fc26731af84d012463da8ada8809faf6bc2ed85e&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/horde/docs/INSTALL?rt=horde-git&r1=055b46239d41c44d0dc8363929bd6ea4257f347c&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/horde/docs/UPGRADING?rt=horde-git&r1=7dac2c78e1a8a149d934e1c3aec1798cdeb72372&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/horde/lib/Test.php?rt=horde-git&r1=72b8d57b0cd97055c6d69bf2a2659a304f4ea709&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/horde/rpc.php?rt=horde-git&r1=237cdcbbb3f20e8f2ac4131b2f37f7735817c699&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/horde/services/problem.php?rt=horde-git&r1=84a96bec34b90beb720b6a4eb90423a187add87a&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/horde/services/resetpassword.php?rt=horde-git&r1=4e8e3e4474fc5ea4363ff940e0ee96f84767b343&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/imp/docs/CHANGES?rt=horde-git&r1=aa13f34bdde9e00ca3f9085dd30d49539f0c2e39&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/imp/lib/Application.php?rt=horde-git&r1=ef7417c2a8d94f2f8660e22b860ee57f2e4b108b&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/imp/lib/Compose.php?rt=horde-git&r1=13dcd129fdefe97244f49da9b291c8c410f21b96&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/co.php/imp/lib/Injector/Binder/Mail.php?rt=horde-git&r=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Itip.php?rt=horde-git&r1=c4a8bbfa852ae49c87acf4806c51b8c241af2f12&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/imp/lib/Ui/Message.php?rt=horde-git&r1=b17ddd8b5d87709ffaf67728198f8c090a04c31a&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/kronolith/lib/FreeBusy.php?rt=horde-git&r1=84a96bec34b90beb720b6a4eb90423a187add87a&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/kronolith/lib/Kronolith.php?rt=horde-git&r1=85896e0c263aa4372d87d8371325c8b6c0619fc3&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/kronolith/scripts/agenda.php?rt=horde-git&r1=fbac860c3f42ab8ceec93c510a8adeac7b58657c&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/nag/lib/Nag.php?rt=horde-git&r1=84a96bec34b90beb720b6a4eb90423a187add87a&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/news/mail.php?rt=horde-git&r1=4e8e3e4474fc5ea4363ff940e0ee96f84767b343&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/turba/data.php?rt=horde-git&r1=ea61933ca38da6c74b719f3f68f24d2b626922ed&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/turba/scripts/upgrades/2.1_to_2.2_sql_schema.php?rt=horde-git&r1=fde496faf2c48ce8f1be186923e3da323f4254c1&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/whups/lib/Driver.php?rt=horde-git&r1=4e8e3e4474fc5ea4363ff940e0ee96f84767b343&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
http://git.horde.org/diff.php/wicked/lib/Wicked.php?rt=horde-git&r1=84a96bec34b90beb720b6a4eb90423a187add87a&r2=d2fd48146c90e2d8b20065a6d1b4caf2723267e1
2010-03-12 22:30:20 Michael Slusarz Comment #1
Type ⇒ Enhancement
State ⇒ Assigned
Priority ⇒ 2. Medium
Summary ⇒ Pass stream to PEAR Mail
Queue ⇒ Horde Framework Packages
Assigned to Michael Slusarz
Milestone ⇒ 4
Patch ⇒ No
Reply to this comment
Tracking PEAR ticket: http://pear.php.net/bugs/bug.php?id=17047

It would be great if others could go over there and reinforce the fact 
that the patch is a good idea :)

Saved Queries